Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231540 - RFE: install 'useradd' and friends with alternatives [NEEDINFO]
Summary: RFE: install 'useradd' and friends with alternatives
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Kevin Baker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 21:39 UTC by Enrico Scholz
Modified: 2014-12-01 23:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-18 14:12:22 UTC
poelstra: needinfo? (pvrabec)


Attachments (Terms of Use)

Description Enrico Scholz 2007-03-08 21:39:53 UTC
Description of problem:

Please install the usermgmt scripts (useradd, userdel, groupadd, groupdel) with
'alternatives'. This will allow to create users in RPM scriptlets with other NSS
methods (ldap, nis).

Comment 1 Axel Thimm 2007-03-09 15:40:52 UTC
It is generally considered bad practice to have system accounts on possibly
inaccessible network resources. Therefore the distribution policy should be to
not create system users/groups anywhere else than "files".

Comment 2 Jon Stanley 2008-04-23 20:30:12 UTC
Adding FutureFeature keyword to RFE's.

Comment 3 John Poelstra 2008-08-28 00:11:43 UTC
What is that current thought on this feature/attached patch?  Should this bug
remain open or be closed?

Comment 5 Tomas Mraz 2013-10-18 14:12:22 UTC
I don't think this is a good idea.


Note You need to log in before you can comment on or make changes to this bug.